Bug 49419 - bugzilla-2.12-3.noarch.rpm /usr/bonsaitools/bin/perl dependency
Summary: bugzilla-2.12-3.noarch.rpm /usr/bonsaitools/bin/perl dependency
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: bugzilla   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-19 13:25 UTC by Nicolas Mailhot
Modified: 2007-04-18 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-17 14:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2001-07-19 13:25:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2+) Gecko/20010716

Description of problem:
bugzilla-2.12-3.noarch.rpm depends on /usr/bonsaitools/bin/perl

(was fixed in bugzilla-2.10-8, however bugzilla-2.12-3 is a must for
security reasons)

How reproducible:
Always

Steps to Reproduce:
Try to install the new bugzilla rpm

	

Actual Results:  Complains of this dependency

Expected Results:  clean install

Additional info:

Comment 1 James Cook 2001-08-15 18:20:30 UTC
I'm getting the same error.

Comment 2 Tim Powers 2001-08-15 19:08:21 UTC
If you get this package you should be fine:

http://people.redhat.com/timp/noarch/bugzilla-2.12-3.src.rpm

It lists /usr/bansaitools/perl in some of the docs, but it doesn't need it to run.

If you have perl etc. installed, it's probably safe to use --nodeps.

Tim

Comment 3 Nicolas Mailhot 2001-08-17 14:28:00 UTC
1. --nodeps is butt ugly
2. most of the files in this rpm have
#!/usr/bonsaitools/bin/perl -w in their headers
3. I think their's also a sendmail binary path problem in some files, but maybe
that's because I use the powertools postfix rpm



Comment 4 Tim Powers 2001-09-11 11:32:05 UTC
Fixed in the package whihc was released yesterday as an errata.

Tim


Note You need to log in before you can comment on or make changes to this bug.